package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.DealWithTheStandard;
import com.lightinit.hsdatashow.entity.DealWithTheStandardExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DealWithTheStandardMapper {
    long countByExample(DealWithTheStandardExample example);

    int deleteByExample(DealWithTheStandardExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DealWithTheStandard record);

    int insertSelective(DealWithTheStandard record);

    List<DealWithTheStandard> selectByExample(DealWithTheStandardExample example);

    DealWithTheStandard selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DealWithTheStandard record, @Param("example") DealWithTheStandardExample example);

    int updateByExample(@Param("record") DealWithTheStandard record, @Param("example") DealWithTheStandardExample example);

    int updateByPrimaryKeySelective(DealWithTheStandard record);

    int updateByPrimaryKey(DealWithTheStandard record);

    List<DealWithTheStandard> selectList(int year);
}